{ stdenv, lib,
  pkgconfig, cmake, ffmpeg, libdrm, libpulseaudio, xorg, libnotify,
  fetchgit }:

stdenv.mkDerivation rec {
  pname = "ReplaySorcery";
  version = "0.6.0";

  src = fetchgit {
    url = "https://github.com/matanui159/${pname}.git";
    rev = "d8d5921988b5161004aed6209bd88251d721611d";
    sha256 = "14m67mlfp0zh9s0bhz1qxppivw2aignxqb51xb5cy3v8farxmcv4";
    deepClone = true;
  };

  nativeBuildInputs = [
    pkgconfig cmake
  ];

  buildInputs = [
    ffmpeg libdrm libpulseaudio xorg.libxcb xorg.libX11
  ];

  propagatedBuildInputs = [
    libnotify
  ];

  patches = [
    ./ignore-systemd.patch
  ];
  
  meta = with lib; {
    description = "An open-source, instant-replay solution for Linux";
    homepage = "https://github.com/matanui159/ReplaySorcery";
    license = licenses.gpl3;
    maintainers = [ ];
    platforms = platforms.linux;
  };
}
